<?php

namespace Models;

use Core\Model;
use PDO;

class UserModel extends Model
{
    public function getByUsername($username)
    {
        $stmt = $this->db->prepare("SELECT * FROM users WHERE username = :username LIMIT 1");
        $stmt->execute(['username' => $username]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    public function createUser($username, $password_hash)
    {
        $stmt = $this->db->prepare("INSERT INTO users (username, password_hash) VALUES (:username, :pass)");
        return $stmt->execute([
            'username' => $username,
            'pass' => $password_hash
        ]);
    }
}

